Quassel IRC - Bug #1235

Crash on add network with "freenode" preset
07/30/2013 08:25 AM - penis

Status: Resolved Start date: 07/30/2013
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel GUI (KDE) Estimated time: 0.00 hour
Target version:

Version: 0.9-pre 0S: Linux
Description

| did the following:

- start quassel

- setup wizard starts, | do the pages up to the one that wants to add ubuntu server
- I click cancel then

- | go to network configuration

- | try to add the 'freenode’ preset and it segfaults (everytime)

— I then started quassel and did the wizard again but this time I finished it, including adding th
e ubuntu server

— I deleted the server

- I tried to add the 'freenode' preset again and it worked (no segfault)

History

#1 - 07/30/2013 08:51 AM - Anonymous

Would you happen to have the crash logs (should be in the configdir, ~/.config/quassel-irc.org if run as your user; /var/lib/quassel if the core crashed
and you used the initscripts)?

Also, such an appropriate username.

#2 - 07/30/2013 08:51 AM - Anonymous

- Status changed from New to Feedback

#3 - 07/31/2013 06:43 PM - Anonymous
- File Quassel-Crash-20130731-1836.log added

- Status changed from Feedback to Confirmed

Client crashes when adding a network to an unconfigured core. Looks like lack of identity makes it do that, so probably should disable the menu until
the wizard is finished. Perhaps the wizard should not be cancellable without disconnecting from the core (mono makes that nasty), saving settings
when the page is finished is also nasty. Reworking the network page from the wizard seems viable (either list the presets or make the name writable).

#4 - 06/16/2021 05:05 AM - phuzion
This bug is likely fixed with the resolution of #1409 and this PR. https:/github.com/quassel/quassel/pull/549

#5 - 06/16/2021 05:35 AM - digitalcircuit

- Status changed from Confirmed to Resolved

As remarked by phuzion, this should be fixed in the upcoming 0.14 release (including 0.14rc1 release candidate, out now).

Files

Quassel-Crash-20130731-1836.log 5.93 KB 07/31/2013 Anonymous
